import 'package:flutter/material.dart';

import '../models/themes/quill_dialog_theme.dart';
import '../translations/toolbar.i18n.dart';

class LinkDialog extends StatefulWidget {
  const LinkDialog({this.dialogTheme, Key? key}) : super(key: key);

  final QuillDialogTheme? dialogTheme;

  @override
  LinkDialogState createState() => LinkDialogState();
}

class LinkDialogState extends State<LinkDialog> {
  String _link = '';

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      backgroundColor: const Color(0xff212b36),
      content: TextField(
        style: const TextStyle(color:  Color(0xff007b55)),
        decoration: InputDecoration(
            labelText: 'Please enter a link'.i18n,
            labelStyle: const TextStyle(color:  Color(0xff007b55)),
            floatingLabelStyle: const TextStyle(color:  Color(0xff007b55))
        ),
        autofocus: true,
        onChanged: _linkChanged,
      ),
      actions: [
        TextButton(
          onPressed: _link.isNotEmpty ? _applyLink : null,
          child: Text(
            'Ok'.i18n,
            style:const  TextStyle(color:  Color(0xff007b55)),
          ),
        ),
      ],
    );
  }

  void _linkChanged(String value) {
    setState(() {
      _link = value;
    });
  }

  void _applyLink() {
    Navigator.pop(context, _link);
  }
}
